Package org.jcsp.lang

# Class RejectableBufferedOne2AnyChannel

java.lang.Object
org.jcsp.lang.RejectableBufferedOne2AnyChannel

All Implemented Interfaces:
  `RejectableChannel`

public class RejectableBufferedOne2AnyChannel extends Object implements RejectableChannel
Deprecated.
This channel is superceded by the poison mechanisms, please see `PoisonException`

This implements a one-to-any object channel with user-definable buffering, safe for use by a single writer and many readers. Refer to `One2AnyChannel` for a description of this behaviour.

Additionally, this channel supports a `reject` operation. One of the readers may call the reject method to force any current writer to abort with a `ChannelDataRejectedException` (unless there is already a read which will cause completion of the write). Subsequent read and write attempts will immediately cause a `ChannelDataRejectedException`.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`RejectableBufferedOne2AnyChannel(ChannelDataStore data)`
Deprecated.
Constructs a new `RejectableBufferedOne2AnyChannel`

## Method Summary

Modifier and Type
Method
Description
`RejectableChannelInput`
`in()`
Deprecated.
`RejectableChannelOutput`
`out()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RejectableBufferedOne2AnyChannel

public RejectableBufferedOne2AnyChannel(ChannelDataStore data)
Deprecated.
Constructs a new `RejectableBufferedOne2AnyChannel`

Parameters:
  `data` - the buffer implementation to use.

## Method Details

### in

public RejectableChannelInput in()
Deprecated.

Specified by:
  `in` in interface `RejectableChannel`

### out

public RejectableChannelOutput out()
Deprecated.

Specified by:
  `out` in interface `RejectableChannel`